# SRC/zpivotgrowth.c File Reference

Computes the reciprocal pivot growth factor. More...

`#include <math.h>`
`#include "slu_zdefs.h"`

## Functions
double | zPivotGrowth (int ncols, SuperMatrix *A, int *perm_c, SuperMatrix *L, SuperMatrix *U)

## Detailed Description

     -- SuperLU routine (version 2.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     November 15, 1997

## Function Documentation

double zPivotGrowth | ( | int | ncols,
|  | SuperMatrix * | A,
|  | int * | perm_c,
|  | SuperMatrix * | L,
|  | SuperMatrix * | U |
| ) |  |  |

     Purpose
     =======

     Compute the reciprocal pivot growth factor of the leading ncols columns
     of the matrix, using the formula:
         min_j ( max_i(abs(A_ij)) / max_i(abs(U_ij)) )

     Arguments
     =========

     ncols    (input) int
              The number of columns of matrices A, L and U.

     A        (input) SuperMatrix*
    	    Original matrix A, permuted by columns, of dimension
              (A->nrow, A->ncol). The type of A can be:
              Stype = NC; Dtype = SLU_Z; Mtype = GE.

     L        (output) SuperMatrix*
              The factor L from the factorization Pr*A=L*U; use compressed row
              subscripts storage for supernodes, i.e., L has type:
              Stype = SC; Dtype = SLU_Z; Mtype = TRLU.

     U        (output) SuperMatrix*
    	    The factor U from the factorization Pr*A*Pc=L*U. Use column-wise
              storage scheme, i.e., U has types: Stype = NC;
              Dtype = SLU_Z; Mtype = TRU.